aboutsummaryrefslogtreecommitdiff
path: root/libraries/qwt5/qwt5.SlackBuild
diff options
context:
space:
mode:
authorFellype do Nascimento <fellype(at)gmail.com>2016-12-15 07:29:01 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2016-12-16 04:41:21 +0700
commitaac482c0a988ba981c84957b57546dd0e6109125 (patch)
tree05e9a0a6a1315b530c69c285b3efb7c3b3056543 /libraries/qwt5/qwt5.SlackBuild
parentcb304c5fb031ab20ac5cd7d46f7c8f5a5230a9fa (diff)
libraries/qwt5: Added (GUI Components & utility).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/qwt5/qwt5.SlackBuild')
-rw-r--r--libraries/qwt5/qwt5.SlackBuild108
1 files changed, 108 insertions, 0 deletions
diff --git a/libraries/qwt5/qwt5.SlackBuild b/libraries/qwt5/qwt5.SlackBuild
new file mode 100644
index 000000000000..95deec8a164c
--- /dev/null
+++ b/libraries/qwt5/qwt5.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for qwt5
+
+# Written by Zordrak
+# Nobbled from Slacky and sanitised for sanity :)
+
+# Modified by the Slackbuilds.org project
+# Modified by Fellype do Nascimento (2016)
+
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=qwt5
+PRGNAMSRC=qwt
+VERSION=${VERSION:-5.2.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+ BASELIBDIR="lib${LIBDIRSUFFIX}"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ BASELIBDIR="lib${LIBDIRSUFFIX}"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ BASELIBDIR="lib${LIBDIRSUFFIX}"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAMSRC-$VERSION
+tar xvf $CWD/$PRGNAMSRC-$VERSION.tar.bz2
+cd $PRGNAMSRC-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+## Patching qwtconfig.pri to:
+## - Enable display svg images on the plot canvas
+## - Fix installation location
+## - Change some parameters in qwtconfig.pri file in order to avoid conflicts with Qwt 6
+patch -p1 < $CWD/qwtconfig.pri.patch qwtconfig.pri
+
+qmake
+make \
+ CFLAGS+="$SLKCFLAGS" \
+ CXXFLAGS+="$SLKCFLAGS"
+make install INSTALL_ROOT=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+## Do not overwrite Qwt 6 man pages
+rm -Rf $PKG/usr/doc/man/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES COPYING INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/doc/html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+if [ -e /usr/bin/requiredbuilder ]; then
+ requiredbuilder -v -y -s $CWD $PKG
+fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}